## python-authlib 0.15.3

=== debian/changelog ===
python-authlib (0.15.3-1) unstable; urgency=medium

  [ Stefano Rivera ]
  * New upstream release.
  * Bump Standards-Version to 4.5.1, no changes needed.
  * Bump copyright years.

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 20 Jan 2021 11:21:23 -0700

python-authlib (0.15.2-1) unstable; urgency=medium

  * New upstream release.
  * Add upstream metadata.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 30 Oct 2020 11:56:19 -0700

python-authlib (0.15.1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Build-Depend on python3-itsdangerous for tests.
  * Drop Build-Depends for starelette test suite, not shipped in upstream
    source.
  * Run the 3 test suites separately, as upstream does. They fail otherwise.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 14 Oct 2020 21:16:12 -0700

python-authlib (0.14.3-2) unstable; urgency=medium

  * Upload to unstable.
  * Update Maintainer email for DPMT & PAPT merger.
  * Update Vcs URLs for DPMT & PAPT merger.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 23 Sep 2020 13:36:52 -0700

python-authlib (0.14.3-1) experimental; urgency=low

  * Initial Release (Closes: #968644)

 -- Stefano Rivera <stefanor@debian.org>  Wed, 19 Aug 2020 15:14:48 -0700

## python-authlib 0.15.4

=== Makefile ===
.PHONY: tests clean clean-pyc clean-build docs

clean: clean-build clean-pyc clean-docs clean-tox

tests:
	@TOXENV=py,flask,django,coverage tox

clean-build:
	@rm -fr build/
	@rm -fr dist/
	@rm -fr *.egg
	@rm -fr *.egg-info


clean-pyc:
	@find . -name '*.pyc' -exec rm -f {} +
	@find . -name '*.pyo' -exec rm -f {} +
	@find . -name '*~' -exec rm -f {} +
	@find . -name '__pycache__' -exec rm -fr {} +

clean-docs:
	@rm -fr  docs/_build

clean-tox:
	@rm -rf .tox/

docs:
	@$(MAKE) -C docs html

=== debian/changelog ===
python-authlib (0.15.4-1+deb11u1) bullseye-security; urgency=medium

  * Non-maintainer upload by the Debian LTS team.
  * d/patches/CVE-2025-62706.patch: Add patch to fix CVE-2025-62706.
    - Authlib’s JWE zip=DEF path performs unbounded DEFLATE decompression
      which can lead to a DoS.
  * d/patches/CVE-2025-61920.patch: Add patch to fix CVE-2025-61920.
    - Authlib’s JOSE implementation accepts unbounded JWS/JWT header and
      signature segments which can lead to a DoS during verification.
  * d/patches/CVE-2025-59420.patch: Add patch to fix CVE-2025-59420.
    - Authlib’s JWS verification accepts tokens that declare unknown critical
      header parameters (crit), violating RFC 7515 “must‑understand” semantics.
      An attacker can craft a signed token with a critical header that strict
      verifiers reject but Authlib accepts. In mixed‑language fleets, this
      enables split‑brain verification and can lead to policy bypass, replay,
      or privilege escalation.
  * d/patches/CVE-2024-37568.patch: Add patch to fix CVE-2024-37568.
    - Unless an algorithm is specified in a jwt.decode call, HMAC verification
      is allowed with any asymmetric public key.

 -- Daniel Leidert <dleidert@debian.org>  Wed, 29 Oct 2025 02:57:06 +0100

python-authlib (0.15.4-1) unstable; urgency=medium

  * New upstream point release, fixing a security issue.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 07 Jul 2021 19:32:08 -0400

=== debian/control ===
Source: python-authlib
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Stefano Rivera <stefanor@debian.org>
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-cryptography,
 python3-django,
 python3-flask,
 python3-flask-sqlalchemy,
 python3-itsdangerous,
 python3-mock,
 python3-pytest,
 python3-pytest-django,
 python3-requests,
 python3-setuptools,
 python3-sphinx
Standards-Version: 4.5.1
Homepage: https://authlib.org/
Vcs-Git: https://salsa.debian.org/python-team/packages/python-authlib.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-authlib
Rules-Requires-Root: no

Package: python3-authlib
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Python library for OAuth and OpenID Connect servers
 The ultimate Python library in building OAuth and OpenID Connect servers. It
 is designed from low level specifications implementations to high level
 frameworks integrations, to meet the needs of everyone.

Package: python-authlib-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Python library for OAuth and OpenID Connect servers (docs)
 The ultimate Python library in building OAuth and OpenID Connect servers. It
 is designed from low level specifications implementations to high level
 frameworks integrations, to meet the needs of everyone.
 .
 This package contains the documentation for python3-authlib.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=authlib
export PYBUILD_TEST_PYTEST=1

%:
	dh $@ --with python3 --buildsystem=pybuild --with sphinxdoc

override_dh_auto_build:
	dh_auto_build
	$(MAKE) -C docs html

override_dh_auto_test:
	dh_auto_test -- --test-pytest --test-args tests/core
	DJANGO_SETTINGS_MODULE=tests.django.settings \
		dh_auto_test -- --test-pytest --test-args tests/django
	dh_auto_test -- --test-pytest --test-args tests/flask

override_dh_auto_clean:
	dh_auto_clean
	$(MAKE) -C docs clean

override_dh_compress:
	dh_compress -X.html -X.ico

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%python-authlib-$1.tar.gz%" \
 https://github.com/lepture/authlib/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## python-authlib 0.15.5

=== debian/changelog ===
python-authlib (0.15.5-1) unstable; urgency=medium

  * New upstream release.
  * Drop patch werkzeug-2.0.0, superseded upstream.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 19 Oct 2021 20:45:42 -0700

python-authlib (0.15.4-2) unstable; urgency=medium

  * Patch: Support werkzeug >= 2.0.0.
  * Bump Standards-Version to 4.6.0, no changes needed.
  * Bump debhelper compat level to 13.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 12 Oct 2021 00:54:43 -0700

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: python
 Priority: optional
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  python3-all,
  python3-cryptography,
@@ -18,7 +18,7 @@
  python3-requests,
  python3-setuptools,
  python3-sphinx
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://authlib.org/
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-authlib.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-authlib

=== debian/tests/control ===
Tests: unittests3
Depends:
 python3-all,
 python3-authlib,
 python3-cryptography,
 python3-django,
 python3-flask,
 python3-flask-sqlalchemy,
 python3-itsdangerous,
 python3-mock,
 python3-pytest,
 python3-pytest-django,
 python3-requests

## python-authlib 1.1.0

=== debian/changelog ===
python-authlib (1.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.1, no changes needed.
  * Bump copyright years.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 25 Sep 2022 10:55:06 +0200

python-authlib (1.0.1-1) unstable; urgency=high

  * New upstream release.
    - Resolving a security bug in JWT validation (no CVE).

 -- Stefano Rivera <stefanor@debian.org>  Fri, 08 Apr 2022 11:57:52 -0400

python-authlib (1.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Build with pybuild-plugin-pyproject.
  * Support nodoc builds.
  * Depend and Build-Depends on python3-pycryptodome for XC20P support.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 18 Mar 2022 09:39:02 -0400

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,8 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
+ dh-sequence-sphinxdoc <!nodoc>,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-cryptography,
  python3-django,
@@ -13,12 +15,13 @@
  python3-flask-sqlalchemy,
  python3-itsdangerous,
  python3-mock,
+ python3-pycryptodome,
  python3-pytest,
  python3-pytest-django,
  python3-requests,
  python3-setuptools,
- python3-sphinx
-Standards-Version: 4.6.0
+ python3-sphinx <!nodoc>
+Standards-Version: 4.6.1
 Homepage: https://authlib.org/
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-authlib.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-authlib
@@ -26,7 +29,7 @@
 
 Package: python3-authlib
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
+Depends: ${misc:Depends}, ${python3:Depends}, python3-pycryptodome
 Description: Python library for OAuth and OpenID Connect servers
  The ultimate Python library in building OAuth and OpenID Connect servers. It
  is designed from low level specifications implementations to high level

## python-authlib 1.2.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,7 @@
-.PHONY: tests clean clean-pyc clean-build docs
+.PHONY: tests clean clean-pyc clean-build docs build
+
+build:
+	@python3 -m build
 
 clean: clean-build clean-pyc clean-docs clean-tox

=== debian/changelog ===
python-authlib (1.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Correct copyright years.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 09 Dec 2022 18:08:37 -0400

python-authlib (1.1.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + python-authlib-doc: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 22 Oct 2022 11:44:37 +0100

=== debian/control ===
--- 
+++ 
@@ -39,6 +39,7 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Multi-Arch: foreign
 Description: Python library for OAuth and OpenID Connect servers (docs)
  The ultimate Python library in building OAuth and OpenID Connect servers. It
  is designed from low level specifications implementations to high level

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=authlib
export PYBUILD_TEST_PYTEST=1

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	dh_auto_test -- --test-pytest --test-args tests/core
	DJANGO_SETTINGS_MODULE=tests.django.settings \
		dh_auto_test -- --test-pytest --test-args tests/django
	dh_auto_test -- --test-pytest --test-args tests/flask

ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
execute_after_dh_auto_build:
	$(MAKE) -C docs html

execute_after_dh_auto_clean:
	$(MAKE) -C docs clean
endif

override_dh_compress:
	dh_compress -X.html -X.ico

## python-authlib 1.2.1

=== debian/changelog ===
python-authlib (1.2.1-1) unstable; urgency=medium

  * New upstream point-release.
  * Refresh patches.
  * Bump copyright years.
  * Bump Standards-Version to 4.6.2, no changes needed.
  * Add new doc build-depends.
  * Clean egg-info.
  * Allow authlib to be importable when building docs.
  * Run clients and jose test suites.
  * Support the nocheck build profiles.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 29 Jun 2023 18:35:46 -0400

## python-authlib 1.3.0

=== docs/requirements.txt ===
cryptography
pycryptodomex>=3.10,<4
Flask
Django
SQLAlchemy
requests
httpx>=0.18.2
starlette

sphinx==6.2.1
sphinx-design==0.4.1
sphinx-copybutton==0.5.2
shibuya

=== debian/changelog ===
python-authlib (1.3.0-1) unstable; urgency=medium

  * New upstream release.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 20 Dec 2023 17:09:53 -0400

=== debian/control ===
--- 
+++ 
@@ -9,19 +9,27 @@
  dh-sequence-sphinxdoc <!nodoc>,
  pybuild-plugin-pyproject,
  python3-all,
- python3-cryptography,
- python3-django,
- python3-flask,
- python3-flask-sqlalchemy,
- python3-itsdangerous,
- python3-mock,
- python3-pycryptodome,
- python3-pytest,
- python3-pytest-django,
- python3-requests,
+ python3-anyio <!nocheck>,
+ python3-cachelib <!nocheck>,
+ python3-cryptography <!nocheck> <!nodoc>,
+ python3-django <!nocheck> <!nodoc>,
+ python3-flask <!nocheck> <!nodoc>,
+ python3-flask-sqlalchemy <!nocheck> <!nodoc>,
+ python3-httpx <!nocheck> <!nodoc>,
+ python3-itsdangerous <!nocheck>,
+ python3-mock <!nocheck>,
+ python3-pycryptodome <!nocheck>,
+ python3-pytest <!nocheck>,
+ python3-pytest-asyncio <!nocheck>,
+ python3-pytest-django <!nocheck>,
+ python3-requests <!nocheck>,
  python3-setuptools,
- python3-sphinx <!nodoc>
-Standards-Version: 4.6.1
+ python3-starlette <!nocheck> <!nodoc>,
+ python3-sphinx <!nodoc>,
+ python3-sphinx-copybutton <!nodoc>,
+ python3-sphinx-design <!nodoc>,
+ python3-werkzeug <!nocheck> <!nodoc>
+Standards-Version: 4.6.2
 Homepage: https://authlib.org/
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-authlib.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-authlib
@@ -29,7 +37,7 @@
 
 Package: python3-authlib
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, python3-pycryptodome
+Depends: python3-pycryptodome, ${misc:Depends}, ${python3:Depends}
 Description: Python library for OAuth and OpenID Connect servers
  The ultimate Python library in building OAuth and OpenID Connect servers. It
  is designed from low level specifications implementations to high level

=== debian/rules ===
--- 
+++ 
@@ -8,13 +8,16 @@
 
 override_dh_auto_test:
 	dh_auto_test -- --test-pytest --test-args tests/core
+	DJANGO_SETTINGS_MODULE=tests.clients.test_django.settings \
+		dh_auto_test -- --test-pytest --test-args tests/clients
 	DJANGO_SETTINGS_MODULE=tests.django.settings \
 		dh_auto_test -- --test-pytest --test-args tests/django
 	dh_auto_test -- --test-pytest --test-args tests/flask
+	dh_auto_test -- --test-pytest --test-args tests/jose
 
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 execute_after_dh_auto_build:
-	$(MAKE) -C docs html
+	PYTHONPATH=$(CURDIR) $(MAKE) -C docs html
 
 execute_after_dh_auto_clean:
 	$(MAKE) -C docs clean

=== debian/tests/control ===
Tests: unittests3
Depends:
 python3-all,
 python3-anyio,
 python3-authlib,
 python3-cachelib,
 python3-cryptography,
 python3-django,
 python3-flask,
 python3-flask-sqlalchemy,
 python3-httpx,
 python3-itsdangerous,
 python3-mock,
 python3-pytest,
 python3-pytest-asyncio,
 python3-pytest-django,
 python3-requests,
 python3-starlette,
 python3-werkzeug

## python-authlib 1.3.1

=== debian/changelog ===
python-authlib (1.3.1-1) unstable; urgency=medium

  * New upstream release.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 06 Jun 2024 11:38:26 +0100

python-authlib (1.3.0-3) unstable; urgency=medium

  * Team Upload
  * remove unneeded dependency on python3-mock

 -- Alexandre Detiste <tchet@debian.org>  Sat, 27 Apr 2024 14:04:30 +0200

python-authlib (1.3.0-2) unstable; urgency=medium

  * Unset http_proxy and https_proxy for client test. (Closes: #1066764)
  * Bump copyright years.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 25 Mar 2024 20:02:04 -0400

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,6 @@
  python3-flask-sqlalchemy <!nocheck> <!nodoc>,
  python3-httpx <!nocheck> <!nodoc>,
  python3-itsdangerous <!nocheck>,
- python3-mock <!nocheck>,
  python3-pycryptodome <!nocheck>,
  python3-pytest <!nocheck>,
  python3-pytest-asyncio <!nocheck>,

## python-authlib 1.3.2

=== debian/changelog ===
python-authlib (1.3.2-2) unstable; urgency=medium

  * Patch: Python 3.13 support. (Closes: #1082196)

 -- Stefano Rivera <stefanor@debian.org>  Mon, 21 Oct 2024 07:02:06 -0700

python-authlib (1.3.2-1) unstable; urgency=medium

  * New upstream point-release.
  * Bump Standards-Version to 4.7.0, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 27 Aug 2024 10:56:10 +0200

## python-authlib 1.4.0

=== debian/changelog ===
python-authlib (1.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop patch python3.13, superseded upstream.
  * Patch: Install RST Sphinx sources.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 24 Dec 2024 12:30:14 -0400

## python-authlib 1.4.1

=== debian/changelog ===
python-authlib (1.4.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump copyright years.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 29 Jan 2025 14:29:43 -0400

## python-authlib 1.5.0

=== debian/changelog ===
python-authlib (1.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Update autopkgtest script (setup.cfg replaced by pyproject.toml).

 -- Stefano Rivera <stefanor@debian.org>  Wed, 26 Feb 2025 15:58:47 -0400

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,7 @@
 override_dh_auto_test:
 	dh_auto_test -- --test-pytest --test-args tests/core
 	DJANGO_SETTINGS_MODULE=tests.clients.test_django.settings \
+		http_proxy= https_proxy= \
 		dh_auto_test -- --test-pytest --test-args tests/clients
 	DJANGO_SETTINGS_MODULE=tests.django.settings \
 		dh_auto_test -- --test-pytest --test-args tests/django

## python-authlib 1.5.1

=== debian/changelog ===
python-authlib (1.5.1-1) unstable; urgency=medium

  * New upstream release.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 03 Mar 2025 17:50:19 -0400

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
  python3-sphinx-copybutton <!nodoc>,
  python3-sphinx-design <!nodoc>,
  python3-werkzeug <!nocheck> <!nodoc>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://authlib.org/
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-authlib.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-authlib

## python-authlib 1.5.2

=== debian/changelog ===
python-authlib (1.5.2-1) unstable; urgency=medium

  * New upstream release.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 05 Apr 2025 18:17:18 -0400

## python-authlib 1.6.0

=== debian/changelog ===
python-authlib (1.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.2, no changes needed.
  * Update GitHub repo: it now lives under its own org.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 24 May 2025 17:14:40 +0200

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
  python3-sphinx-copybutton <!nodoc>,
  python3-sphinx-design <!nodoc>,
  python3-werkzeug <!nocheck> <!nodoc>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://authlib.org/
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-authlib.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-authlib

## python-authlib 1.6.1

=== debian/changelog ===
python-authlib (1.6.1-1) unstable; urgency=medium

  * New upstream release.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 09 Aug 2025 23:21:37 +0200

=== debian/tests/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
  python3-flask-sqlalchemy,
  python3-httpx,
  python3-itsdangerous,
- python3-mock,
  python3-pytest,
  python3-pytest-asyncio,
  python3-pytest-django,

## python-authlib 1.6.3

=== debian/changelog ===
python-authlib (1.6.3-1) unstable; urgency=medium

  * New upstream release.
  * Update test django settings module name.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 07 Sep 2025 18:27:26 +0200

## python-authlib 1.6.4

=== debian/changelog ===
python-authlib (1.6.4-1) unstable; urgency=medium

  * New upstream release.
  * Build-Depend on python3-python-multipart for tests.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 20 Sep 2025 08:19:41 +0200

## python-authlib 1.6.5

=== Makefile ===
--- 
+++ 
@@ -27,5 +27,5 @@
 clean-tox:
 	@rm -rf .tox/
 
-docs:
-	@$(MAKE) -C docs html
+build-docs:
+	@sphinx-build docs build/_html -a

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = Authlib
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
python-authlib (1.6.5-1) unstable; urgency=medium

  * New upstream release.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 07 Oct 2025 09:37:36 +0200

=== debian/control ===
--- 
+++ 
@@ -17,6 +17,7 @@
  python3-flask-sqlalchemy <!nocheck> <!nodoc>,
  python3-httpx <!nocheck> <!nodoc>,
  python3-itsdangerous <!nocheck>,
+ python3-python-multipart <!nocheck>,
  python3-pycryptodome <!nocheck>,
  python3-pytest <!nocheck>,
  python3-pytest-asyncio <!nocheck>,

=== debian/rules ===
--- 
+++ 
@@ -8,10 +8,10 @@
 
 override_dh_auto_test:
 	dh_auto_test -- --test-pytest --test-args tests/core
-	DJANGO_SETTINGS_MODULE=tests.clients.test_django.settings \
+	DJANGO_SETTINGS_MODULE=tests.django_settings \
 		http_proxy= https_proxy= \
 		dh_auto_test -- --test-pytest --test-args tests/clients
-	DJANGO_SETTINGS_MODULE=tests.django.settings \
+	DJANGO_SETTINGS_MODULE=tests.django_settings \
 		dh_auto_test -- --test-pytest --test-args tests/django
 	dh_auto_test -- --test-pytest --test-args tests/flask
 	dh_auto_test -- --test-pytest --test-args tests/jose

=== debian/tests/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
  python3-flask-sqlalchemy,
  python3-httpx,
  python3-itsdangerous,
+ python3-python-multipart,
  python3-pytest,
  python3-pytest-asyncio,
  python3-pytest-django,

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%python-authlib-$1.tar.gz%" \
 https://github.com/authlib/authlib/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## python-authlib 1.6.6

=== debian/changelog ===
python-authlib (1.6.6-1) unstable; urgency=medium

  * New upstream release.
  * Drop Rules-Requires-Root: no, this is now the default.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 19 Dec 2025 13:26:23 -0400

=== debian/control ===
--- 
+++ 
@@ -33,7 +33,6 @@
 Homepage: https://authlib.org/
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-authlib.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-authlib
-Rules-Requires-Root: no
 
 Package: python3-authlib
 Architecture: all

## python-authlib 1.6.7

=== debian/changelog ===
python-authlib (1.6.7-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.3, drop Priority: optional.
  * Bump copyright years.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 12 Feb 2026 22:30:06 -0400

## python-authlib 1.6.8

=== debian/changelog ===
python-authlib (1.6.8-1) unstable; urgency=medium

  * New upstream release.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 22 Feb 2026 17:31:56 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>
 Section: python
-Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
@@ -29,7 +28,7 @@
  python3-sphinx-copybutton <!nodoc>,
  python3-sphinx-design <!nodoc>,
  python3-werkzeug <!nocheck> <!nodoc>
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://authlib.org/
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-authlib.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-authlib

## python-authlib 1.6.9

=== debian/changelog ===
python-authlib (1.6.9-1) unstable; urgency=medium

  * New upstream release.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 03 Mar 2026 12:42:42 -0400
